id: d6_url_alias
label: URL aliases
migration_tags:
  - Drupal 6
source:
  plugin: d6_url_alias
  constants:
    slash: '/'
process:
  source:
    plugin: concat
    source:
      - constants/slash
      - src
  alias:
    plugin: concat
    source:
      - constants/slash
      - dst
  langcode:
    plugin: d6_url_alias_language
    source: language
  node_translation:
    -
      plugin: explode
      source: src
      delimiter: /
    -
      plugin: extract
      index:
        - 1
    -
      plugin: migration
      migration: d6_node_translation
destination:
  plugin: url_alias
